Skip to main content
POST
/
products
/
default
Get Default Products
curl --request POST \
  --url https://api-v2.production.higg.org/pic-api/v1/products/default \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-developer-request-token: <api-key>' \
  --data '
{
  "from": 123,
  "size": 123,
  "ids": [
    "<string>"
  ],
  "textSearch": "<string>",
  "productSize": [
    "<string>"
  ],
  "productCategory": [
    "<string>"
  ]
}
'
import requests

url = "https://api-v2.production.higg.org/pic-api/v1/products/default"

payload = {
"from": 123,
"size": 123,
"ids": ["<string>"],
"textSearch": "<string>",
"productSize": ["<string>"],
"productCategory": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
from: 123,
size: 123,
ids: ['<string>'],
textSearch: '<string>',
productSize: ['<string>'],
productCategory: ['<string>']
})
};

fetch('https://api-v2.production.higg.org/pic-api/v1/products/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "from": 123,
  "size": 123,
  "total": 123,
  "results": [
    {
      "_id": "<string>",
      "version": 123,
      "name": "<string>",
      "materialName": "<string>",
      "size": "<string>",
      "productType": "<string>",
      "productCategory": "<string>",
      "weight": 123,
      "dataSource": "<string>",
      "type": "<string>",
      "materials": [
        {
          "name": "<string>",
          "materialId": "<string>",
          "netUse": 123,
          "composition": 123
        }
      ],
      "createdOn": 123,
      "modifiedOn": 123,
      "_rev": "<string>",
      "isOther": true,
      "isDefaultSize": true,
      "default": true,
      "pmCategory": "<string>",
      "productCategoryComplete": "<string>",
      "tier1Calculation": "<string>",
      "modelNumber": "<string>",
      "active": true,
      "components": [
        {
          "name": "<string>",
          "componentId": "<string>",
          "unit": 123,
          "weightInformation": {
            "convertedToKg": 123,
            "weight": 123,
            "isPrimaryData": true
          },
          "isMsiComponent": true,
          "isOutdated": true,
          "dataSource": "<string>",
          "description": "<string>",
          "impacts": {
            "tier4Impact": 123,
            "tier2and3Impact": 123,
            "totalMaterialLibrary": 123,
            "totalTierImpact": 123,
            "uncertainty": {
              "lower": 123,
              "upper": 123
            }
          }
        }
      ],
      "packaging": [
        {
          "packagingId": "<string>",
          "amount": 123,
          "name": "<string>",
          "weightInformation": {
            "convertedToKg": 123,
            "weight": 123,
            "isPrimaryData": true
          },
          "isMsiPackaging": true,
          "isOutdated": true,
          "code": "<string>",
          "dataSource": "<string>",
          "description": "<string>",
          "impacts": {
            "tier4Impact": 123,
            "tier2and3Impact": 123,
            "totalMaterialLibrary": 123,
            "totalTierImpact": 123,
            "uncertainty": {
              "lower": 123,
              "upper": 123
            }
          }
        }
      ]
    }
  ]
}
Use this endpoint to browse the default product taxonomy. Default products are pre-configured templates with standard material compositions that you can use as a starting point when creating products.

Request body params

NameTypeDescription
textSearchstringSearch default products by name.
idsArray<string>Filter by specific taxonomy IDs.
productSizeArray<string>Filter by product size.
productCategoryArray<string>Filter by product category.
fromnumber[DEFAULT: 0] Pagination start index.
sizenumber[DEFAULT: 50] Number of results to return (max 50).
sortobjectSorting configuration { field: string, order: "asc" | "desc" }. Default sort is by name ascending.

Implementation Details

  • Pagination: Maximum page size is capped at 50 results.
  • Active only: Only active taxonomy entries are returned.
  • Usage: Use the taxonomyId from the response when creating a product to inherit the default material composition.

Authorizations

x-api-key
string
header
required
x-developer-request-token
string
header
required

Body

application/json
from
number<double> | null
size
number<double> | null
ids
string[] | null
sort
object

API Search requests

textSearch
string | null
productSize
string[] | null
productCategory
string[] | null

Response

200 - application/json

Ok

API Search responses

from
number<double>
required
size
number<double>
required
total
number<double>
required
results
object[]
required